from pydantic import BaseModel, AnyUrl

class BaseConfig(BaseModel):
    base_url: AnyUrl = None
    request_timeout: int = 30
    max_retries: int = 3
    headers: dict = {}

class PlatformConfig(BaseConfig):
    platform: str
    mode: str
    path: str = None
    url: AnyUrl
    method: str
    request_body: dict = {}
    loop_times: int = 1
    loop_interval: int = 0
    response_parse: dict = {}
    retry_times: int = 0
    feishu_sheetid: str

